summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verizon.net>2010-11-06 03:48:45 (GMT)
committerMichael Hanson <hansonorders@verizon.net>2010-11-06 03:48:45 (GMT)
commitd46b411345a20e0ea7cbf62d55539789524b5dd5 (patch)
treeeeb755d20e29989c7a14ed112f249e9dd5884193 /abs
parentb4674e2998a27dde6c8bb3d1fc61a5ca361dd45a (diff)
downloadlinhes_pkgbuild-d46b411345a20e0ea7cbf62d55539789524b5dd5.zip
linhes_pkgbuild-d46b411345a20e0ea7cbf62d55539789524b5dd5.tar.gz
linhes_pkgbuild-d46b411345a20e0ea7cbf62d55539789524b5dd5.tar.bz2
perl-dbd-mysql: initial include
Diffstat (limited to 'abs')
-rw-r--r--abs/extra/perl-dbd-mysql/PKGBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/abs/extra/perl-dbd-mysql/PKGBUILD b/abs/extra/perl-dbd-mysql/PKGBUILD
new file mode 100644
index 0000000..c53aac7
--- /dev/null
+++ b/abs/extra/perl-dbd-mysql/PKGBUILD
@@ -0,0 +1,30 @@
+# $Id: PKGBUILD 82506 2010-06-12 19:27:47Z kevin $
+# Maintainer: Kevin Piche <kevin@archlinux.org>
+# Contributor: Eric Johnson <eric@coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.018
+pkgrel=1
+pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
+arch=(i686 x86_64)
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('libmysqlclient' 'perl-dbi' 'perl>=5.10.0')
+makedepends=('mysql')
+options=(!emptydirs)
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+
+build() {
+ cd ${srcdir}/${_realname}-${pkgver}
+
+ # install module in vendor directories.
+ perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ # remove perllocal.pod and .packlist
+ find ${pkgdir} -name perllocal.pod -delete
+ find ${pkgdir} -name .packlist -delete
+}
+md5sums=('d1d4ee2f20910d6491d1b6216471b2f1')